Bug 191548 - devel/cvs fails with ports texinfo
Summary: devel/cvs fails with ports texinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 04:06 UTC by fullermd
Modified: 2015-04-15 17:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2014-07-02 04:06:21 UTC
With ports texinfo installed (and ahead in $PATH), build fails:

--- cvs.info ---
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:114: @sp missing argument
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:116: @sp missing argument
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:12756: warning: node next `commit files' in menu `taginfo' and in sectioning `rcsinfo' differ
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:13316: warning: node next `rcsinfo' in menu `cvsignore' and in sectioning `taginfo' differ
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:13316: warning: node prev `rcsinfo' in menu `taginfo' and in sectioning `commit files' differ
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:13374: warning: node next `taginfo' in menu `rcsinfo' and in sectioning `cvsignore' differ
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:13374: warning: node prev `taginfo' in menu `commit files' and in sectioning `rcsinfo' differ
/usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc/../..//cvs/doc/cvs.texinfo:13411: warning: node prev `cvsignore' in menu `rcsinfo' and in sectioning `taginfo' differ
*** [cvs.info] Error code 1

make[3]: stopped in /usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc
1 error

make[3]: stopped in /usr/ports.work/usr/ports/devel/cvs/work/call/cvs-build/doc
*** [_sub.all] Error code 2


Doing "env PATH=/usr/bin:$PATH make" hacks around it.
Comment 1 John Marino freebsd_committer 2014-07-20 16:20:09 UTC
this port is unmaintained, so a provided patch is in order (e.g. force cvs to build without texinfo even if it detects it)
Comment 2 commit-hook freebsd_committer 2015-04-15 17:08:57 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 15 17:08:02 UTC 2015
New revision: 384063
URL: https://svnweb.freebsd.org/changeset/ports/384063

Log:
  - Install INFO docs again as they're more complete [1]
  - Drop BROKEN: builds fine on 8.4R i386/amd64
  - Checking "no" value is only required for MK_ variables
  - Convert to option helpers
  - Clarify LICENSE allows any later version

  PR:		191548 [1]

Changes:
  head/devel/cvs/Makefile
  head/devel/cvs/files/patch-Makefile
  head/devel/cvs/files/patch-cvs.info.texinfo-5.x
  head/devel/cvs/files/patch-cvs__Makefile
Comment 3 Jan Beich freebsd_committer 2015-04-15 17:14:55 UTC
Thanks. Committed.